// ======================================================================
//
// pal_3dfx.h
// jeff grills
//
// copyright 1996 origin systems inc
//
// ======================================================================

#ifndef PAL_3DFX_H
#define PAL_3DFX_H

// ======================================================================

#include <glide.h>

class Palette;
#include "PaletteData.h"

// ======================================================================

class PaletteData_3dfx : public PaletteData
{
private:

	static u_int globalToken;
	static u_int currentToken;

private:

	int          entries;
	FxU32        data[256];
	u_int        token;

public:
	
	PaletteData_3dfx(const Palette *pal);
	virtual ~PaletteData_3dfx(void);

	void download(void) const;
};

// ======================================================================

#endif
